> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get balance

> This endpoint allows you to retrieve the an asset's balance.



## OpenAPI

````yaml openapi.json get /balance
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /balance:
    get:
      tags:
        - Balance
      summary: Get balance
      description: This endpoint allows you to retrieve the an asset's balance.
      operationId: getBalance
      parameters:
        - name: asset
          in: query
          required: true
          description: The asset to get balance for
          schema:
            type: string
            enum:
              - ethereum:usdc
              - base:usdc
              - arbitrum:usdc
              - solana:usdc
              - bsc:usdc
              - polygon:usdc
              - optimism:usdc
              - avalanche:usdc
              - ethereum:usdt
              - arbitrum:usdt
              - solana:usdt
              - polygon:usdt
              - bsc:usdt
              - optimism:usdt
              - avalanche:usdt
              - base:cngn
              - bsc:cngn
            example: solana:usdc
        - name: wallet_id
          in: query
          required: true
          description: The wallet ID to get balance for
          schema:
            type: string
            example: 68bc290df51feea8c53f5275
      responses:
        '200':
          description: Balance fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBalanceResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetBalanceResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Balance fetched successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-09T17:36:53.285Z'
        data:
          type: object
          properties:
            id:
              type: string
              description: Unique identifier for the asset
              example: solana:usdc
            name:
              type: string
              description: Full name of the asset
              example: USD Coin
            code:
              type: string
              description: Asset code/symbol
              example: USDC
            blockchain:
              type: object
              properties:
                id:
                  type: integer
                  description: Blockchain identifier
                  example: 10000
                name:
                  type: string
                  description: Blockchain name
                  example: Solana
            balance:
              type: number
              description: Total balance amount
              example: 0
            available:
              type: number
              description: Available balance amount
              example: 0
            debt:
              type: number
              description: Debt amount
              example: 0
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````